Retail Express API 2.1

Gets specific Product Attribute Value by unique id

Gets specific Product Attribute Value by unique id

get
https://api.retailexpress.com.au/v2/productattributes/{id}/values/{value_id}

Path Parameters

idinteger(int32)required

Product Attribute id

Example:2

value_idinteger(int32)required

Product Attribute Value id

Example:321

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns found Product Attribute

AttributeValue

Product attribute value model

* Additional properties are NOT allowed.
idinteger | null(int32)

Attribute Value Id

attribute_idinteger(int32)

Attribute Id

namestring | null

Attribute Value Name

list_orderinteger | null(int32)

Attribute Value List Order

modified_onstring(date-time)

Modified on

get/productattributes/{id}/values/{value_id}
 
application/json

Updates Product Attribute Value entity in the system.

Sample request:

PUT /productattributes/2/values/66
{
   "name": "sample_name"
}
put
https://api.retailexpress.com.au/v2/productattributes/{id}/values/{value_id}

Path Parameters

idinteger(int32)required

Product Attribute id

value_idinteger(int32)required

Product Attribute value id

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Body

application/json

Product Attribute Value model

EmptyExample

EmptyExampleobject
* Additional properties are NOT allowed.

Response

application/json

Product Attribute Value was updated

AttributeValue

Product attribute value model

* Additional properties are NOT allowed.
idinteger | null(int32)

Attribute Value Id

attribute_idinteger(int32)

Attribute Id

namestring | null

Attribute Value Name

list_orderinteger | null(int32)

Attribute Value List Order

modified_onstring(date-time)

Modified on

put/productattributes/{id}/values/{value_id}

Body

{}
 
application/json

Gets all Product Attributes, existing in the system

Gets all Product Attributes, existing in the system

get
https://api.retailexpress.com.au/v2/productattributes

Query Parameters

modified_sincestring | null(date-time)

Modified since

page_numberinteger(int32)

Format - int32.

>= 1<= 100000

page_sizeinteger(int32)

Format - int32.

>= 1<= 2147483647

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Paging Response with Product Attributes data

Attribute.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]

Product attribute model

* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/productattributes
 
application/json

Gets specific Product Attribute by unique id

Gets specific Product Attribute by unique id

get
https://api.retailexpress.com.au/v2/productattributes/{id}

Path Parameters

idinteger(int32)required

Product Attribute id

Example:10000

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns found Product Attribute

Attribute

Product attribute model

* Additional properties are NOT allowed.
idinteger | null(int32)

Attribute Id

namestring | null

Attribute Name

typestring | nullread-only

Attribute Type

modified_onstring | null(date-time)
get/productattributes/{id}
 
application/json

productbarcodes